Create a dynamic field
import requests
url = "https://{FUSION HOST}/api/collections/{collection}/schema/dynamicfields"
payload = {
"name": "<string>",
"type": "<string>",
"indexed": True,
"stored": True,
"multiValued": True,
"required": True,
"docValues": True,
"omitNorms": True,
"omitPositions": True,
"omitTermFreqAndPositions": True,
"termVectors": True,
"termPositions": True,
"termOffsets": True,
"copyDests": ["<string>"],
"copySources": ["<string>"],
"numDocs": 123,
"indexFields": [
{
"name": "<string>",
"numDocs": 123
}
],
"default": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)This response has no body data.Create a dynamic field
Adds a new dynamic field to a given collection.
POST
/
collections
/
{collection}
/
schema
/
dynamicfields
Create a dynamic field
import requests
url = "https://{FUSION HOST}/api/collections/{collection}/schema/dynamicfields"
payload = {
"name": "<string>",
"type": "<string>",
"indexed": True,
"stored": True,
"multiValued": True,
"required": True,
"docValues": True,
"omitNorms": True,
"omitPositions": True,
"omitTermFreqAndPositions": True,
"termVectors": True,
"termPositions": True,
"termOffsets": True,
"copyDests": ["<string>"],
"copySources": ["<string>"],
"numDocs": 123,
"indexFields": [
{
"name": "<string>",
"numDocs": 123
}
],
"default": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)This response has no body data.Path Parameters
Collection ID.
Body
application/json
Dynamic field configuration.
Show child attributes
Show child attributes
Response
200 - undefined
Was this page helpful?
⌘I